Bug 1548178 - [abrt] PackageKit: munmap_chunk(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: munmap_chunk(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6773bcaa3f7e1611d91025ee8be...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-22 22:45 UTC by Vedran Miletić
Modified: 2018-12-07 02:38 UTC (History)
5 users (show)

Fixed In Version: PackageKit-1.1.12-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 02:38:06 UTC


Attachments (Terms of Use)
File: backtrace (27.10 KB, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: cgroup (184 bytes, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: core_backtrace (12.43 KB, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: cpuinfo (1.51 KB, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: dso_list (8.09 KB, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: environ (190 bytes, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: limits (1.29 KB, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: maps (37.60 KB, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: mountinfo (3.91 KB, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: open_fds (4.57 KB, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details
File: var_log_messages (589 bytes, text/plain)
2018-02-22 22:45 UTC, Vedran Miletić
no flags Details

Description Vedran Miletić 2018-02-22 22:45:32 UTC
Version-Release number of selected component:
PackageKit-1.1.8-2.fc28

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: munmap_chunk
executable:     /usr/libexec/packagekitd
journald_cursor: s=512cce9fcb9344418d7a11854c2c9b12;i=f826b;b=cee265b0a4a445d089553852a989d73a;m=4179c82c4;t=565ce5ab6a1a5;x=7d6f9114828ed231
kernel:         4.15.0-1.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 1 Vedran Miletić 2018-02-22 22:45:38 UTC
Created attachment 1399588 [details]
File: backtrace

Comment 2 Vedran Miletić 2018-02-22 22:45:39 UTC
Created attachment 1399589 [details]
File: cgroup

Comment 3 Vedran Miletić 2018-02-22 22:45:41 UTC
Created attachment 1399590 [details]
File: core_backtrace

Comment 4 Vedran Miletić 2018-02-22 22:45:42 UTC
Created attachment 1399591 [details]
File: cpuinfo

Comment 5 Vedran Miletić 2018-02-22 22:45:44 UTC
Created attachment 1399592 [details]
File: dso_list

Comment 6 Vedran Miletić 2018-02-22 22:45:46 UTC
Created attachment 1399593 [details]
File: environ

Comment 7 Vedran Miletić 2018-02-22 22:45:47 UTC
Created attachment 1399594 [details]
File: limits

Comment 8 Vedran Miletić 2018-02-22 22:45:49 UTC
Created attachment 1399595 [details]
File: maps

Comment 9 Vedran Miletić 2018-02-22 22:45:51 UTC
Created attachment 1399596 [details]
File: mountinfo

Comment 10 Vedran Miletić 2018-02-22 22:45:52 UTC
Created attachment 1399597 [details]
File: open_fds

Comment 11 Vedran Miletić 2018-02-22 22:45:54 UTC
Created attachment 1399598 [details]
File: proc_pid_status

Comment 12 Vedran Miletić 2018-02-22 22:45:55 UTC
Created attachment 1399599 [details]
File: var_log_messages

Comment 13 Jan Kurik 2018-08-14 10:15:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 14 Kalev Lember 2018-11-28 08:58:23 UTC
This should hopefully be fixed in PackageKit 1.1.12 where we fixed a multithreading issue in DnfRepo handling that was likely causing this crash. If the crash is still reproducable after updating to 1.1.12, please reopen the ticket.

Comment 15 Fedora Update System 2018-11-28 09:00:50 UTC
PackageKit-1.1.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 16 Fedora Update System 2018-11-29 03:16:39 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 17 Fedora Update System 2018-12-07 02:38:06 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.